function mplot_map, maps, outsize=outsize, $
     fovs=fovs, xcenter=xcenter, ycenter=ycenter, centers=centers, $
     _extra=_extra, roll=roll
;
; uses Z-buffer
;

nmaps=n_elements(maps)

case n_elements(xcenter) of 
   0: xcenx=replicate(0,nmaps)
   1: xcenx=replicate(xcenter,nmaps)
   nmaps: xcenx=xcenter
  else: begin
     box_message,'Warning - mismatch between #maps and #Xcenter
     xcenx=replicate(0,nmaps)
  endcase
endcase

case n_elements(ycenter) of 
   0: ycenx=replicate(0,nmaps)
   1: ycenx=replicate(ycenter,nmaps)
   nmaps: ycenx=ycenter
   else: begin 
       box_message,'Warning - mismatch between #maps and #Ycenter
       ycenx=replicate(0,nmaps)     
   endcase
endcase

stop
case n_elements(fovs) of
   0: fovx=replicate(40,nmaps)
   1: fovx=replicate(fovs,nmaps)
   nmaps: fovx=fovs
   2*nmaps: fovx=fovs
   else: begin 
      box_message,'Warning - mismatch between #maps and #FOVs
      fovx=replicate(40,nmaps)
   endcase
endcase
   

case n_elements(outsize) of
   2: outsizex=outsize
   1: outsizex=replicate(outsize,2)
   else: outsizex=[data_chk(maps(0).data,/nx), data_chk(maps(0).data,/ny)]
endcase

case n_elements(roll) of 
   1: rollx=replicate(roll,nmaps)
   nmaps: rollx=roll
   else: rollx=replicate(0,nmaps)
endcase

retval=make_array(outsizex(0),outsizex(1), nmaps, /int)
ptemp=!d.name

wdef,xx, /zbuffer,outsizex(0),outsizex(1)

for i=0,nmaps-1 do begin 
   mapi=maps(i)
   if rollx(i) ne 0 then mapi=rot_map(mapi,rollx(i))
   plot_map2,mapi,_extra=_extra, fov=fovx(i), center=[xcenx(i),ycenx(i)]
   mdata=tvrd(/words,/channel)
   retval(0,0,i)=temporary(mdata)
endfor

set_plot,ptemp
return,retval
end
